Index: uspace/drv/bus/usb/usbhub/usbhub.c
===================================================================
--- uspace/drv/bus/usb/usbhub/usbhub.c	(revision 585635856440deab73ad5891daab8fa87901aa68)
+++ uspace/drv/bus/usb/usbhub/usbhub.c	(revision a53ed3a8097360ccf174e8d94fb407db919eb66a)
@@ -81,6 +81,6 @@
 };
 
-static int usb_set_first_configuration(usb_device_t *usb_device);
-static int usb_hub_process_hub_specific_info(usb_hub_dev_t *hub_dev);
+static errno_t usb_set_first_configuration(usb_device_t *usb_device);
+static errno_t usb_hub_process_hub_specific_info(usb_hub_dev_t *hub_dev);
 static void usb_hub_over_current(const usb_hub_dev_t *hub_dev,
     usb_hub_status_t status);
@@ -97,5 +97,5 @@
  * @return error code
  */
-int usb_hub_device_add(usb_device_t *usb_dev)
+errno_t usb_hub_device_add(usb_device_t *usb_dev)
 {
 	assert(usb_dev);
@@ -114,5 +114,5 @@
 
 	/* Set hub's first configuration. (There should be only one) */
-	int opResult = usb_set_first_configuration(usb_dev);
+	errno_t opResult = usb_set_first_configuration(usb_dev);
 	if (opResult != EOK) {
 		usb_log_error("Could not set hub configuration: %s\n",
@@ -174,5 +174,5 @@
  * @return error code
  */
-int usb_hub_device_remove(usb_device_t *usb_dev)
+errno_t usb_hub_device_remove(usb_device_t *usb_dev)
 {
 	return ENOTSUP;
@@ -184,5 +184,5 @@
  * @return error code
  */
-int usb_hub_device_gone(usb_device_t *usb_dev)
+errno_t usb_hub_device_gone(usb_device_t *usb_dev)
 {
 	assert(usb_dev);
@@ -202,5 +202,5 @@
 
 	for (size_t port = 0; port < hub->port_count; ++port) {
-		const int ret = usb_hub_port_fini(&hub->ports[port], hub);
+		const errno_t ret = usb_hub_port_fini(&hub->ports[port], hub);
 		if (ret != EOK)
 			return ret;
@@ -208,5 +208,5 @@
 	free(hub->ports);
 
-	const int ret = ddf_fun_unbind(hub->hub_fun);
+	const errno_t ret = ddf_fun_unbind(hub->hub_fun);
 	if (ret != EOK) {
 		usb_log_error("(%p) Failed to unbind '%s' function: %s.",
@@ -266,5 +266,5 @@
  * @return error code
  */
-static int usb_hub_process_hub_specific_info(usb_hub_dev_t *hub_dev)
+static errno_t usb_hub_process_hub_specific_info(usb_hub_dev_t *hub_dev)
 {
 	assert(hub_dev);
@@ -277,5 +277,5 @@
 	usb_hub_descriptor_header_t descriptor;
 	size_t received_size;
-	int opResult = usb_request_get_descriptor(control_pipe,
+	errno_t opResult = usb_request_get_descriptor(control_pipe,
 	    USB_REQUEST_TYPE_CLASS, USB_REQUEST_RECIPIENT_DEVICE,
 	    USB_DESCTYPE_HUB, 0, 0, &descriptor,
@@ -317,5 +317,5 @@
 	for (unsigned int port = 0; port < hub_dev->port_count; ++port) {
 		usb_log_debug("(%p): Powering port %u.", hub_dev, port);
-		const int ret = usb_hub_port_set_feature(
+		const errno_t ret = usb_hub_port_set_feature(
 		    &hub_dev->ports[port], USB_HUB_FEATURE_PORT_POWER);
 
@@ -343,5 +343,5 @@
  * @return error code
  */
-static int usb_set_first_configuration(usb_device_t *usb_device)
+static errno_t usb_set_first_configuration(usb_device_t *usb_device)
 {
 	assert(usb_device);
@@ -369,5 +369,5 @@
 	/* Set configuration. Use the configuration that was in
 	 * usb_device->descriptors.configuration i.e. The first one. */
-	const int opResult = usb_request_set_configuration(
+	const errno_t opResult = usb_request_set_configuration(
 	    usb_device_get_default_pipe(usb_device),
 	    config_descriptor->configuration_number);
@@ -406,5 +406,5 @@
 	/* Over-current condition is gone, it is safe to turn the ports on. */
 	for (size_t port = 0; port < hub_dev->port_count; ++port) {
-		const int ret = usb_hub_port_set_feature(
+		const errno_t ret = usb_hub_port_set_feature(
 		    &hub_dev->ports[port], USB_HUB_FEATURE_PORT_POWER);
 		if (ret != EOK) {
@@ -438,5 +438,5 @@
 	/* NOTE: We can't use standard USB GET_STATUS request, because
 	 * hubs reply is 4byte instead of 2 */
-	const int opResult = usb_pipe_control_read(control_pipe,
+	const errno_t opResult = usb_pipe_control_read(control_pipe,
 	    &get_hub_status_request, sizeof(get_hub_status_request),
 	    &status, sizeof(usb_hub_status_t), &rcvd_size);
@@ -456,5 +456,5 @@
 		usb_hub_over_current(hub_dev, status);
 		/* Ack change in hub OC flag */
-		const int ret = usb_request_clear_feature(
+		const errno_t ret = usb_request_clear_feature(
 		    control_pipe, USB_REQUEST_TYPE_CLASS,
 		    USB_REQUEST_RECIPIENT_DEVICE,
@@ -480,5 +480,5 @@
 		 * Just ACK the change.
 		 */
-		const int ret = usb_request_clear_feature(
+		const errno_t ret = usb_request_clear_feature(
 		    control_pipe, USB_REQUEST_TYPE_CLASS,
 		    USB_REQUEST_RECIPIENT_DEVICE,
